Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.service.impl
Class ChapterIVServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.chapterIV.service.impl.ChapterIVServiceImpl

All Implemented Interfaces:
  ChapterIVService

    public class ChapterIVServiceImpl

extends Object
implements ChapterIVService

Implementation for the `ChapterIVService` interface

Constructor Summary
`ChapterIVServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)` Instantiates a new Chapter IV service impl.

Method Summary
`AskChap4MedicalAdvisorAgreementResponse` | `askChap4MedicalAdvisorAgreement(SAMLToken token, AskChap4MedicalAdvisorAgreementRequest request)` returns the `AskChap4MedicalAdvisorAgreementResponse`.
`ConsultChap4MedicalAdvisorAgreementResponse` | `consultChap4MedicalAdvisorAgreement(SAMLToken token, ConsultChap4MedicalAdvisorAgreementRequest request)` returns the `ConsultChap4MedicalAdvisorAgreementResponse`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChapterIVServiceImpl

    public ChapterIVServiceImpl(SessionValidator sessionValidator,
                                EhealthReplyValidator replyValidator)

  Instantiates a new Chapter IV service impl.

  Parameters:
    `sessionValidator` - the session validator
    `replyValidator` - the reply validator

Method Detail

### consultChap4MedicalAdvisorAgreement

    public final ConsultChap4MedicalAdvisorAgreementResponse consultChap4MedicalAdvisorAgreement(SAMLToken token,
                                                                                                 ConsultChap4MedicalAdvisorAgreementRequest request)
                                                                                          throws ChapterIVBusinessConnectorException,
                                                                                                 TechnicalConnectorException,
                                                                                                 SessionManagementException

  Description copied from interface: `ChapterIVService`
  returns the `ConsultChap4MedicalAdvisorAgreementResponse`. it only needs the SamlToken, no session needs to be active.

  Specified by:
    `consultChap4MedicalAdvisorAgreement` in interface `ChapterIVService`
  Returns:
    a ConsultChap4MedicalAdvisorAgreementResponse
  Throws:
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`
  See Also:
    `ChapterIVService.consultChap4MedicalAdvisorAgreement(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.chap4.protocol.v1.ConsultChap4MedicalAdvisorAgreementRequest)`

### askChap4MedicalAdvisorAgreement

    public final AskChap4MedicalAdvisorAgreementResponse askChap4MedicalAdvisorAgreement(SAMLToken token,
                                                                                         AskChap4MedicalAdvisorAgreementRequest request)
                                                                                  throws ChapterIVBusinessConnectorException,
                                                                                         TechnicalConnectorException,
                                                                                         SessionManagementException

  Description copied from interface: `ChapterIVService`
  returns the `AskChap4MedicalAdvisorAgreementResponse`. it only needs the SamlToken, no session needs to be active.

  Specified by:
    `askChap4MedicalAdvisorAgreement` in interface `ChapterIVService`
  Returns:
    a AskChap4MedicalAdvisorAgreementResponse
  Throws:
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`
  See Also:
    `ChapterIVService.askChap4MedicalAdvisorAgreement(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.chap4.protocol.v1.AskChap4MedicalAdvisorAgreementRequest)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.